> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/operations-manager/update-trigger/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Update trigger PATCH https://example.itential.io/operations-manager/triggers/{id} Content-Type: application/json Updates a Trigger. Reference: https://docs.itential.com/itential-cloud/api-reference/operations-manager/update-trigger ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `id` (string, required) — The id of the Trigger to update. ### Body (application/json) This endpoint expects an object or object or object or any or any. - `object or object or object or any or any` - Endpoint Trigger Updates - `name` (string, optional) — The name of the document - `description` (string, optional) — The description of the document - `enabled` (boolean, optional) — A flag to determine if this Trigger is enabled or not. - `actionType` (enum, optional) — The type of component this Trigger will invoke. - Allowed values: `automations` - `actionId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `options` (object, optional) — Configuration options specific to this trigger. - `targetType` (enum, optional, nullable) - Allowed values: `instance`, `group` - `targetIdentifier` (string, optional, nullable) - `chooseTargetAtRuntime` (boolean, optional) - `actionId` (string, optional) — A 4-digit hexadecimal id - `lastExecuted` (integer, optional, nullable) — A timestamp in milliseconds of the time this Trigger was last executed. - `migrationVersion` (integer, optional) — The current document version of this document. - `type` (any, optional) - `verb` (any, optional) - `routeName` (string, optional) — User defined route name. - `schema` (object, optional, nullable) — POST body filter schema. - `jst` (string, optional, nullable) - EventSystem Trigger Updates - `name` (string, optional) — The name of the document - `description` (string, optional) — The description of the document - `enabled` (boolean, optional) — A flag to determine if this Trigger is enabled or not. - `actionType` (enum, optional) — The type of component this Trigger will invoke. - Allowed values: `automations` - `actionId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `options` (object, optional) — Configuration options specific to this trigger. - `targetType` (enum, optional, nullable) - Allowed values: `instance`, `group` - `targetIdentifier` (string, optional, nullable) - `chooseTargetAtRuntime` (boolean, optional) - `actionId` (string, optional) — A 4-digit hexadecimal id - `lastExecuted` (integer, optional, nullable) — A timestamp in milliseconds of the time this Trigger was last executed. - `migrationVersion` (integer, optional) — The current document version of this document. - `type` (any, optional) - `source` (string, optional) — The source of the event. - `topic` (string, optional) — The event topic. - `schema` (object, optional, nullable) — Event payload filter schema. - `legacyWrapper` (boolean, optional) — A boolean determining whether payload data is wrapped in a 'payload' property - `jst` (string, optional, nullable) - Manual Trigger Updates - `name` (string, optional) — The name of the document - `description` (string, optional) — The description of the document - `enabled` (boolean, optional) — A flag to determine if this Trigger is enabled or not. - `actionType` (enum, optional) — The type of component this Trigger will invoke. - Allowed values: `automations` - `actionId` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `options` (object, optional) — Configuration options specific to this trigger. - `targetType` (enum, optional, nullable) - Allowed values: `instance`, `group` - `targetIdentifier` (string, optional, nullable) - `chooseTargetAtRuntime` (boolean, optional) - `actionId` (string, optional) — A 4-digit hexadecimal id - `lastExecuted` (integer, optional, nullable) — A timestamp in milliseconds of the time this Trigger was last executed. - `migrationVersion` (integer, optional) — The current document version of this document. - `type` (any, optional) - `formData` (object, optional, nullable) — A JSON object created by filling out the associated JSON Form. - `formSchemaHash` (string, optional, nullable) - `legacyWrapper` (boolean, optional) — A boolean determining whether form data is wrapped in a 'formData' property - `formId` (string, optional, nullable) — The id of a JSON Form used to provide inputs to a job from this trigger. ## Response ### 200 The result of the update operation. - `message` (string, required) — A human-readable message summarizing the result of the operation - `data` (any, required) — Any successfully retrieved information related to the request. - `metadata` (map from string to any, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "message": "Successfully created the requested item", "data": { "_id": "string", "actionId": "string", "actionType": "automations", "created": "2024-01-15T09:30:00Z", "createdBy": null, "description": "Turn up the port", "enabled": true, "lastExecuted": 1, "lastUpdated": "2024-01-15T09:30:00Z", "lastUpdatedBy": null, "migrationVersion": 1, "name": "Cisco IOS upgrade", "options": { "actionId": "0a2f", "chooseTargetAtRuntime": true, "targetIdentifier": "string", "targetType": "instance" } }, "metadata": {} } ``` **SDK Code** ```python import requests url = "https://example.itential.io/operations-manager/triggers/id" payload = {} headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/operations-manager/triggers/id'; const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/operations-manager/triggers/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/operations-manager/triggers/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://example.itential.io/operations-manager/triggers/id") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://example.itential.io/operations-manager/triggers/id', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/operations-manager/triggers/id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/triggers/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```